% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/get_boundary_polygons.R
\name{get_boundary_polygons}
\alias{get_boundary_polygons}
\title{Convert Boundaries to Polygons}
\usage{
get_boundary_polygons(boundaries)
}
\arguments{
\item{boundaries}{A \code{\link{data.frame}} containing boundaries.
It has to have columns named by the contents of
either\cr
\code{\link{get_defaults}("boundaries")} or \cr
\code{fritools::get_options(package_name = "treePlotArea")[["boundaries"]]}.
\cr
Could be
\code{get(data("boundaries", package = "treePlotArea"))}.}
}
\value{
A list with all boundary polygons for each corner for each tract.
}
\description{
Used by \code{\link{get_correction_factors}} to convert a boundary table
to polygons. You may want to see the polygons, that is why we exported this
function.
}
\examples{
boundaries <- get(data("boundaries", package = "treePlotArea"))
boundary_polygons <- get_boundary_polygons(boundaries)
}
